.\" Copyright (c) 1989, 1990 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)finger.1	6.14 (Berkeley) 7/27/91
.\"	$Id$
.\"
.\" Translation (c) 1998 Marcin Mazurek <mazek@capella.ae.poznan.pl>
.\" {PTM/MM/0.1/08-10-1998/"finger.1 - program do sprawdzania informacji o uytkowniku"}
.Dd July 13, 1996
.Dt FINGER 1
.Os "Linux NetKit 0.07"
.Sh NAZWA
.Nm finger
.Nd program do sprawdzania informacji o uytkowniku
.Sh SKADNIA
.Nm finger
.Op Fl lmsp
.Op Ar uytkownik ...
.Op Ar uytkownik@host ...
.Sh OPIS
.Nm finger
wywietla informacj o uytkownikach danego systemu.
.Pp
Dozwolone opcje to:
.Bl -tag -width flag
.It Fl s
.Nm Finger
podaje nazw uytkownika (login name), imi i nazwisko, nazw terminala
i moliwo pisania do niego
 (``*'' po nazwie terminala oznacza e prawo pisania do niego jest
zabronione), czas "bezczynnoci", czas zalogowania si, adres i telefon biura.
.Pp
Czas logowania wywietlany jest w nastpujcym formacie: miesic, dzie,
godzina i minuty.Jeli czas ten jest wikszy ni sze miesicy
wywietlany jest rok a nie czas co do godziny i minuty.
.Pp
Nieznane urzdzenia jak i nie dajce si okreli czasy zalogowania si i bezczynnoci
pokazywane s jako gwiazdki.
.Pp
.It Fl l
Po podaniu tej opcji finger wywietla pen informacj, pokazan w kilku
liniach, okrelon przez opcj
.Fl s
plus dodatkowo katalog domowy uytkownika, telefon domowy, powoka logowania si,
informacj o jego poczcie, i zawarto plikw
.Dq Pa .plan
,
.Dq Pa .project
i
.Dq Pa .forward
z katalogu domowego uytkownika.
.Pp
Numery telefonw podane jako jedenastocyfrowe liczby s wywietlane w
formacie ``+N-NNN-NNN-NNNN''.
Numery podane jako dziesicio- lub siedmiocyfrowe liczby s wywietlane jako
jego odpowiedni podacuch.
Numery podane jako liczby piciocyfrowe s wywietlane w formacie ``xN-NNNN''.
Numery podane jako liczby czterocyfrowe s wywietlane w formacie ``xNNNN''.
.Pp
Jeli prawo pisania do urzdzenia jest wyczone, wtedy tekst ``(messages off)''
jest doczany do lini zawierajcej nazw urzdzenia.
Przy podanej opcji
.Fl l
informacja o terminalu zalogowanego uytkownika jest podana dla kadego
uytkownika i powtrzona w zalenoci od liczby logowa si.
.Pp
Informacja o braku poczty zasygnalizowana jest tekstem ``No Mail.'',
Jeli uytkownik sprawdzi swoj poczt zanim przysza nowa wywietlany jest
tekst ``Mail last read DDD MMM ## HH:MM YYYY (TZ)''
, lub ``New mail received ...'',
``  Unread since ...'' jeli uytkownik ma now poczt.
.Pp
.It Fl p
Wycza w opcji
.Fl l
programu
.Nm finger
wywietlanie zawartoci plikw
.Dq Pa .plan
i
.Dq Pa .project
.
.It Fl m
Wycza wyszukiwanie nazw uytkownikw.
Nazwa uytkownika podawana jako argument programu finger jest zazwyczaj
nazw uytkownika w systemie; jednake, finger wyszukuje tego cigu take w
prawdziwej nazwie uytkownika, chyba e zostanie podana opcja 
.Fl m
.
Nie istnieje rozrnienie na due i mae litery w nazwach wyszukiwanych przez
.Nm finger
.
.El
.Pp
Jeli nie ma podanych adnych opcji,
.Nm finger
standardowo wywietla informacj w stylu opcji
.Fl l
jeli nazwa uytkownika lub systemu zostaa podana, 
format informacji odpowiada opcji
.Fl s
.
Jeli ktra z informacji nie jest dostpna, niektrych z pl moe brakowa.
.Pp
Jeli nie zostay podane adne argumenty,
.Nm finger
wypisze informacj dla kadego uytkownika zalogowanego w danej chwili w
systemie.
.Pp
.Nm Finger
moe by wykorzystany do wyszukiwania uytkownikw na odlegym systemie.
Zamiast pojedynczej nazwy uytkownika
.Ar uytkownik
podajemy
.Dq Li uytkownik@host ,
lub
.Dq Li @host ,
gdzie informacja w pierwszym przypadku standardowo wywietlana jest w formacie 
opcji 
.Fl l
, a w drugim w formacie opcji
.Fl s
.
Opcja
.Fl l
jest jedyn opcj jaka moe by przekazana odlegemu systemowi.
.Sh ZOBACZ TAKE
.Xr chfn 1 ,
.Xr passwd 1 ,
.Xr w 1 ,
.Xr who 1
.Sh HISTORY
Komenda
.Nm finger
pokazaa si po raz pierwszy w BSD 3.0 
